#!/bin/bash

CURRENT_DATE=`date +"%Y.%m.%d_%H.%M.%S"`
high_order=$1
name=$2
directory=$PWD

# Get the data
wget -c ftp://ftp.ncbi.nih.gov/pub/taxonomy/taxdump.tar.gz
tar -zxvf taxdump.tar.gz

# Removed indentation so it only has 1 collumn
taxonkit list --ids $high_order --data-dir $directory \
  | taxonkit filter --equal-to Species --lower-than Species --save-predictable-norank --data-dir $directory  \
   > ${name}.txids
